uuid: 5f05b269-44a6-4ba2-aeb8-3b77d001e610
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.table_format
    - node.type.class
  module:
    - datetime
    - node
    - taxonomy
    - user
_core:
  default_config_hash: Gy5PaLdfFhtFSRqJxV-DBTF5AocKgNA2CsCNNEbvx4c
id: taxonomy_term
label: 'Taxonomy term'
module: taxonomy
description: 'Content belonging to a certain taxonomy term.'
tag: default
base_table: node_field_data
base_field: nid
display:
  default:
    id: default
    display_title: Master
    display_plugin: default
    position: 0
    display_options:
      fields: {  }
      pager:
        type: none
        options:
          offset: 0
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      access:
        type: perm
        options:
          perm: 'access content'
      cache:
        type: tag
        options: {  }
      empty: {  }
      sorts:
        field_start_date_value:
          id: field_start_date_value
          table: node__field_start_date
          field: field_start_date_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: datetime
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
          granularity: second
        field_section_number_value:
          id: field_section_number_value
          table: node__field_section_number
          field: field_section_number_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: standard
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
      arguments:
        tid:
          id: tid
          table: taxonomy_index
          field: tid
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: taxonomy_index_tid
          default_action: 'not found'
          exception:
            value: ''
            title_enable: false
            title: All
          title_enable: true
          title: '{{ arguments.tid }}'
          default_argument_type: fixed
          default_argument_options:
            argument: ''
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: true
          validate:
            type: 'entity:taxonomy_term'
            fail: 'not found'
          validate_options:
            bundles: {  }
            access: true
            operation: view
            multiple: 0
          break_phrase: false
          add_table: false
          require_value: false
          reduce_duplicates: false
      filters:
        langcode:
          id: langcode
          table: node_field_data
          field: langcode
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: langcode
          plugin_id: language
          operator: in
          value:
            '***LANGUAGE_language_content***': '***LANGUAGE_language_content***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        status:
          id: status
          table: taxonomy_index
          field: status
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: boolean
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        type:
          id: type
          table: node_field_data
          field: type
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: type
          plugin_id: bundle
          operator: in
          value:
            class: class
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
        status_1:
          id: status_1
          table: node_field_data
          field: status
          relationship: none
          group_type: group
          admin_label: ''
          entity_type: node
          entity_field: status
          plugin_id: boolean
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            operator_limit_selection: false
            operator_list: {  }
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
      style:
        type: default
        options:
          grouping: {  }
          row_class: ''
          default_row_class: true
          uses_fields: false
      row:
        type: 'entity:node'
        options:
          relationship: none
          view_mode: table_format
      query:
        type: views_query
        options:
          query_comment: ''
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_tags: {  }
      relationships: {  }
      group_by: false
      link_display: page_1
      link_url: ''
      header:
        entity_taxonomy_term:
          id: entity_taxonomy_term
          table: views
          field: entity_taxonomy_term
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: entity
          empty: true
          target: '{{ raw_arguments.tid }}'
          view_mode: full
          tokenize: true
          bypass_access: false
      footer: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  block_search_result:
    id: block_search_result
    display_title: 'Search Result Block'
    display_plugin: block
    position: 1
    display_options:
      enabled: true
      sorts:
        field_start_date_value:
          id: field_start_date_value
          table: node__field_start_date
          field: field_start_date_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: datetime
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
          granularity: second
        field_section_number_value:
          id: field_section_number_value
          table: node__field_section_number
          field: field_section_number_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: standard
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
      arguments:
        tid:
          id: tid
          table: taxonomy_index
          field: tid
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: taxonomy_index_tid
          default_action: default
          exception:
            value: ''
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '0'
            node: true
            limit: false
            vids: {  }
            anyall: ','
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          add_table: false
          require_value: false
          reduce_duplicates: false
      query:
        type: views_query
        options: {  }
      defaults:
        sorts: false
        arguments: false
        header: false
      display_description: ''
      header: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  course_offering:
    id: course_offering
    display_title: 'Course/Class Block'
    display_plugin: block
    position: 1
    display_options:
      enabled: true
      sorts:
        field_start_date_value:
          id: field_start_date_value
          table: node__field_start_date
          field: field_start_date_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: datetime
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
          granularity: second
        field_section_number_value:
          id: field_section_number_value
          table: node__field_section_number
          field: field_section_number_value
          relationship: none
          group_type: min
          admin_label: ''
          plugin_id: standard
          order: ASC
          expose:
            label: ''
            field_identifier: ''
          exposed: false
      arguments:
        tid:
          id: tid
          table: taxonomy_index
          field: tid
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: taxonomy_index_tid
          default_action: default
          exception:
            value: ''
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '0'
            node: true
            limit: false
            vids: {  }
            anyall: ','
          summary_options:
            base_path: ''
            count: true
            override: false
            items_per_page: 25
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          add_table: false
          require_value: false
          reduce_duplicates: false
      query:
        type: views_query
        options: {  }
      defaults:
        sorts: false
        arguments: false
        header: false
      display_description: ''
      header: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  feed_1:
    id: feed_1
    display_title: Feed
    display_plugin: feed
    position: 2
    display_options:
      pager:
        type: some
        options:
          offset: 0
          items_per_page: 10
      style:
        type: rss
        options:
          grouping: {  }
          uses_fields: false
          description: ''
      row:
        type: node_rss
        options:
          relationship: none
          view_mode: default
      query:
        type: views_query
        options: {  }
      display_extenders: {  }
      path: taxonomy/term/%/feed
      displays:
        default: '0'
        page_1: '0'
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  page_1:
    id: page_1
    display_title: Page
    display_plugin: page
    position: 1
    display_options:
      empty: {  }
      query:
        type: views_query
        options: {  }
      defaults:
        empty: false
        css_class: false
      css_class: course-programs
      display_extenders: {  }
      path: taxonomy/term/%
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
  programs_courses:
    id: programs_courses
    display_title: 'Programs Courses'
    display_plugin: page
    position: 4
    display_options:
      empty:
        area_text_custom:
          id: area_text_custom
          table: views
          field: area_text_custom
          relationship: none
          group_type: group
          admin_label: ''
          plugin_id: text_custom
          empty: true
          content: "<div class=\"table-responsive\">\r\n    <table class=\"class-offerings\">\r\n      <tbody>\r\n      <thead>\r\n      <tr>\r\n        <th>Section Number</th>\r\n        <th>Dates</th>\r\n        <th>Location</th>\r\n        <th>Building</th>\r\n        <th>Room</th>\r\n        <th>Time</th>\r\n        <th>Format</th>\r\n      </tr>\r\n      </thead>\r\n      <tr class=\"contextual-region\">\r\n        <td colspan=\"7\">This course has already started or is not being offered this term.</td>\r\n      </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>"
          tokenize: false
      defaults:
        empty: false
        css_class: false
      css_class: course-programs
      display_description: ''
      display_extenders: {  }
      path: taxonomy/term/%/programs_courses
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_interface'
        - url
        - 'user.node_grants:view'
        - user.permissions
      tags: {  }
